"use strict";

const bhttp = require("bhttp");
const nanoid = require("nanoid");

module.exports = function createSessionManager() {
	let map = new Map();

	return {
		createSession: function (options) {
			let id = nanoid();
			let session = bhttp.session(options);

			map.set(id, session);

			return id;
		},
		getSession: function (id) {
			let session = map.get(id);

			if (session == null) {
				throw new Error("No such session exists; this should never happen");
			} else {
				return session;
			}
		}
	};
};
