"use strict";

const React = require("react");

module.exports = function useMemoizedPosition(element, extraDependencies = []) {
	return React.useMemo(() => {
		if (element != null) {
			let rect = element.getBoundingClientRect();
	
			return {
				x: rect.left,
				y: rect.top,
				width: rect.width,
				height: rect.height
			};
		} else {
			return {};
		}
	}, [ element, ... extraDependencies ]);
};
