"use strict";

const React = require("react");

module.exports = function useStateRef(initialState) {
	let [ state, setState ] = React.useState(initialState);
	let ref = React.useRef(initialState);

	return [
		state,
		(newState) => {
			ref.current = newState;
			setState(newState);
		},
		ref
	];
};
